import React, { useContext } from 'react';
import { CallRole, TUIGlobal } from '../../../../TUICallService';
import OverlayStream from '../../common/OverlayStream/OverlayStream';
import { UserInfoContext } from '../../../context';
import defaultAvatarSrc from '../../../assets/common/defaultAvatar.svg';
import './Waiting.less';

interface IWaitingProps {
  avatar?: string;
  username?: string;
  callRole?: CallRole;
}

export default function Waiting(props: IWaitingProps) {
  const { avatar, username } = props;
  const { localUserInfo } = useContext(UserInfoContext);

  return (
    <OverlayStream
      className='singlecall-waiting-container'
      showLoading={false}
      avatar={avatar || defaultAvatarSrc}
      username={username}
      showAvatar={!TUIGlobal.isPC}
      showBackground={!localUserInfo.isVideoAvailable}
      isMobile={!TUIGlobal.isPC}
      showOverlayer={!localUserInfo.isVideoAvailable}
    />
  );
}
