import React, { CSSProperties } from 'react';
import { classPrefix } from '../../../const/common';
import { classNames } from '../../../util/classnames';
import './Overlayer.less';

interface IOverlayerProps {
  style?: CSSProperties;
  className?: string;
  showOverlayer?: boolean;
  background?: string;
}

export default function Overlayer(props: IOverlayerProps) {
  const {
    style,
    className,
    background,
    showOverlayer = true,
  } = props;
  const classnames = classNames([
    className,
    `${classPrefix}-overlayer-container`,
  ]);
  return (
    <div className={classnames}>
      {showOverlayer && <div style={style} className='overlay' />}
      {background && <img alt='bg' style={{ width: '100%', height: '100%', objectFit: 'cover' }} src={background} />}
    </div>
  );
}
