import React from 'react';
import Button from '../../../../base/Button';
import { TUICallKitServer, TUIGlobal, t } from '../../../../../../TUICallService';
import Icon from '../../../../base/Icon/Icon';
import { classNames } from '../../../../../util/classnames';
import AcceptSrc from '../../../../../assets/button/accept.svg';
import './Accept.less';

interface IAcceptProps {
  isMobile?: boolean;
}

export default function Accept(props: IAcceptProps) {
  const handleClick = () => TUICallKitServer.accept();
  const iconClassName = classNames([
    'btn-icon-container',
    'accept',
    {
      mobile: !TUIGlobal.isPC,
      pc: TUIGlobal.isPC,
    },
  ]);
  const AcceptIcon = <Icon className='btn-icon' url={AcceptSrc} />;
  return (
    <Button
      className='btn'
      icon={AcceptIcon}
      iconClassName={iconClassName}
      onClick={handleClick}
      {...props}
    >
      {t('accept')}
    </Button>
  );
}
