import React from 'react';
import Button from '../../../../base/Button';
import { TUICallKitServer, TUIGlobal, t } from '../../../../../../TUICallService';
import Icon from '../../../../base/Icon/Icon';
import { classNames } from '../../../../../util/classnames';
import HangupSrc from '../../../../../assets/button/hangup.svg';
import './Reject.less';

interface IRejectProps {
  isMobile?: boolean;
}

export default function Reject(props: IRejectProps) {
  const handleClick = () => TUICallKitServer.reject();
  const iconClassName = classNames([
    'btn-icon-container',
    'hangup',
    {
      mobile: !TUIGlobal.isPC,
      pc: TUIGlobal.isPC,
    },
  ]);
  const hangupIcon = <Icon className='btn-icon' url={HangupSrc} />;
  return (
    <Button
      className='btn'
      icon={hangupIcon}
      iconClassName={iconClassName}
      onClick={handleClick}
      {...props}
    >
      {t('reject')}
    </Button>
  );
}
