import React, { ReactNode, useContext } from 'react';
import { CallInfoContext } from '../../../../context';
import FloatingWindowH5GroupCall from './FloatingWindowH5GroupCall/FloatingWindowH5GroupCall';
import FloatingWindowH5SingleCall from './FloatingWindowH5SingleCall/FloatingWindowH5SingleCall';
import './FloatingWindowH5.less';

interface IFloatingWindowH5Props {
  showVideo?: boolean;
  hasVideo?: boolean;
  children?: ReactNode;
}

export default function FloatingWindowH5(props: IFloatingWindowH5Props) {
  const { isGroupCall } = useContext(CallInfoContext);
  return isGroupCall
    ? <FloatingWindowH5GroupCall {...props} />
    : <FloatingWindowH5SingleCall {...props} />;
}
