import React, { useContext } from 'react';
import Time from '../../../base/Time/Time';
import Col from '../../../base/Grid/Col';
import Row from '../../../base/Grid/Row';
import Minimize from '../../ButtonPanel/button/Minimize';
import { CallRole, CallStatus } from '../../../../../TUICallService';
import Tip from '../../Tip/Tip';
import { CallInfoContext } from '../../../../context';
import './TopBarH5.less';

interface ITopBarH5Props {
  callDuration?: string;
}

export default function TopBarH5(props: ITopBarH5Props) {
  const { callDuration } = props;
  const { isGroupCall, callStatus, callRole, allowedMinimized } = useContext(CallInfoContext);
  const showTip = (isGroupCall
    && (callStatus === CallStatus.CONNECTED || callRole === CallRole.CALLER));
  return (
    <div className='top-bar-container'>
      <Row className='top-bar'>
        <Col justify='start' span={4}>
          {allowedMinimized && <Minimize />}
        </Col>
        <Col align='center' span={4}>
          {callStatus === CallStatus.CONNECTED
            ? (
              <Time callDuration={callDuration} />
            ) : (
              showTip && <Tip />
            )}
        </Col>
        <Col span={4} />
    </Row>
    </div>
  );
}
